vault.centos.orgに変更したレポジトリで、yumコマンドでエラー

yum コマンドで、[Errno 14] Peer cert cannot be verified or peer cert invalid でエラー【CentOS 6】

Let’s EncryptのCA証明書の期限切れで、CentOS 6でもSSL通信時にエラーになるか確認しましたら、下記のようにエラーになりました。

$ curl https://letsencrypt.org
curl: (60) Peer certificate cannot be authenticated with known CA certificates
More details here: http://curl.haxx.se/docs/sslcerts.html

curl performs SSL certificate verification by default, using a "bundle"
 of Certificate Authority (CA) public keys (CA certs). If the default
 bundle file isn't adequate, you can specify an alternate file
 using the --cacert option.
If this HTTPS server uses a certificate signed by a CA represented in
 the bundle, the certificate verification probably failed due to a
 problem with the certificate (it might be expired, or the name might
 not match the domain name in the URL).
If you'd like to turn off curl's verification of the certificate, use
 the -k (or --insecure) option.

ca-certificates」を更新したらcurlのエラーが解消できるかもと思い、yumコマンドで「ca-certificates」したら、「http://vault.centos.org/centos/6/os/x86_64/repodata/repomd.xml: [Errno 14] Peer cert cannot be verified or peer cert invalid」となりました。

※ CentOS 6はサポート期限が終了しているので、yumコマンドのレポジトリ先は「vault.centos.org」に変更しています
「vault.centos.org」に変更するには、CentOS 6でyumコマンドでエラー「YumRepo Error: All mirror URLs are not using ftp, http[s] or file.」を参照してください

$ sudo yum update ca-certificates
Loaded plugins: fastestmirror, priorities, security
Determining fastest mirrors
http://vault.centos.org/centos/6/os/x86_64/repodata/repomd.xml: [Errno 14] Peer cert cannot be verified or peer cert invalid
Trying other mirror.
http://vault.centos.org/centos/6/extras/x86_64/repodata/repomd.xml: [Errno 14] Peer cert cannot be verified or peer cert invalid
Trying other mirror.
http://vault.centos.org/centos/6/updates/x86_64/repodata/repomd.xml: [Errno 14] Peer cert cannot be verified or peer cert invalid
Trying other mirror.
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package ca-certificates.noarch 0:2010.63-3.el6_1.5 will be updated
---> Package ca-certificates.noarch 0:2020.2.41-65.1.el6_10 will be an update
--> Processing Dependency: p11-kit-trust >= 0.18.4-2 for package: ca-certificates-2020.2.41-65.1.el6_10.noarch
--> Processing Dependency: p11-kit >= 0.18.4-2 for package: ca-certificates-2020.2.41-65.1.el6_10.noarch
--> Running transaction check
---> Package p11-kit.x86_64 0:0.18.5-2.el6_5.2 will be installed
---> Package p11-kit-trust.x86_64 0:0.18.5-2.el6_5.2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================
 Package                Arch          Version                        Repository      Size
==========================================================================================
Updating:
 ca-certificates        noarch        2020.2.41-65.1.el6_10          updates        908 k
Installing for dependencies:
 p11-kit                x86_64        0.18.5-2.el6_5.2               base            94 k
 p11-kit-trust          x86_64        0.18.5-2.el6_5.2               base            71 k

Transaction Summary
==========================================================================================
Install       2 Package(s)
Upgrade       1 Package(s)

yumコマンドのエラー原因は「vault.centos.org」のLet’s Encryptの証明書

原因を探していたら、vault.centos.orgのサイトですが、下記の画像のようにLet’s EncryptのCA証明書を利用しているみたいです

yumコマンドのエラーもLet’s EncryptのCA証明書の期限切れが原因のようです。証明書のチェックをスキップする「sslverify=0」に設定して、証明をスキップしてyumコマンドを実行したらyumが使えるかも思ったけど、エラーとなりました

$ sudo vim /etc/yum.repos.d/CentOS-Base.repo
sslverify=0

Let’s EncryptのCA証明書のエラーの対策

yumコマンドでも駄目だったので、RPMパッケージをダウンロードしてrpmコマンドでインストールする方法で、「ca-certificates」を入れることにしました。

ca-certificates-2020.2.41-65.1.el6_10.noarch.rpmとそれをインストールするのに必要な、p11-kit-0.18.5-2.el6_5.2.x86_64.rpmp11-kit-trust-0.18.5-2.el6_5.2.x86_64.rpmをダウンロードして、rpmコマンドでインストールしました

# RPMパッケージをダウンロードするので、任意のディレクトリに移動します
$ cd /usr/local/src/

# wgetでRPMのパッケージをダウンロードします
$ wget ftp://ftp.pbone.net/mirror/vault.centos.org/6.10/updates/x86_64/Packages/ca-certificates-2020.2.41-65.1.el6_10.noarch.rpm
$ wget http://ftp.iij.ad.jp/pub/linux/centos-vault/6.7/os/x86_64/Packages/p11-kit-0.18.5-2.el6_5.2.x86_64.rpm
$ wget http://ftp.iij.ad.jp/pub/linux/centos-vault/6.7/os/x86_64/Packages/p11-kit-trust-0.18.5-2.el6_5.2.x86_64.rpm

# rpmコマンドでインストールします
$ sudo rpm -Uhv  p11-kit-0.18.5-2.el6_5.2.x86_64.rpm p11-kit-trust-0.18.5-2.el6_5.2.x86_64.rpm
$ sudo rpm -Uhv  ca-certificates-2020.2.41-65.1.el6_10.noarch.rpm

インストール後は、問題なくyumコマンドを実行できます

スポンサーリンク

LinuxCentOS 6

Posted by admin